Skip to main content
`Ctrl`+`K`

# PetscHMapISet

Set a (key,value) entry in the hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapISet(PetscHMapI ht, PetscInt key, PetscInt val)

## Input Parameters

- ht - The hash table

- key - The key

- val - The value

## See Also

`PetscHMapIGet()`, `PetscHMapISetWithMode()`, `PetscHMapIGetWithDefault()`, `PetscHMapIIterSet()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

## Examples

src/sys/tutorials/ex7.c

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages